Main Page Modules Data Structures File List Data Fields Globals Related Pages

# Hash Functions: SHA-1

## Files
file | sha1.c
| SHA-1 hash function, code.

file | sha1.h
| SHA-1 hash function, header.

file | sha1opt.h
| SHA-1 assembler-optimized routines, header.

## Data Structures
struct | sha1Param
## Functions
void | sha1Finish (register sha1Param *p)
void | sha1Process (sha1Param *p)
int | sha1Reset (sha1Param *p)
int | sha1Update (sha1Param *p, const byte *data, int size)
int | sha1Digest (sha1Param *p, uint32 *data)
## Variables
const uint32 | k [4] = { 0x5a827999, 0x6ed9eba1, 0x8f1bbcdc, 0xca62c1d6 }
const uint32 | hinit [5] = { 0x67452301, 0xefcdab89, 0x98badcfe, 0x10325476, 0xc3d2e1f0 }
const hashFunction | sha1

## Function Documentation

int sha1Digest | ( | sha1Param * | p,
|  | uint32 * | data
| ) |

void sha1Finish | ( | register sha1Param * | p | ) | `[static]`

| Definition at line 228 of file sha1.c. References sha1Process, swapu32, and uint32. Referenced by sha1Digest.

void sha1Process | ( | sha1Param * | p | ) |

| Referenced by fips186Next, sha1Finish, and sha1Update.

int sha1Reset | ( | sha1Param * | p | ) |

| Referenced by sha1Digest.

int sha1Update | ( | sha1Param * | p,
|  | const byte * | data,
|  | int | size
| ) |

## Variable Documentation

const uint32 hinit[5] = { 0x67452301, 0xefcdab89, 0x98badcfe, 0x10325476, 0xc3d2e1f0 }`[static]`

| Definition at line 47 of file sha1.c. Referenced by sha1Reset.

const uint32 k[4] = { 0x5a827999, 0x6ed9eba1, 0x8f1bbcdc, 0xca62c1d6 }`[static]`

| Definition at line 42 of file sha1.c. Referenced by sha1Process.

const hashFunction sha1

| Definition at line 50 of file sha1.h.